Bug 1483381 (php-flow-jsonpath) - Review Request: php-flow-jsonpath - JSONPath implementation for parsing, searching and flattening arrays
Summary: Review Request: php-flow-jsonpath - JSONPath implementation for parsing, sear...
Keywords:
Status: CLOSED ERRATA
Alias: php-flow-jsonpath
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: drush_v9_tracking
TreeView+ depends on / blocked
 
Reported: 2017-08-21 01:59 UTC by Shawn Iwinski
Modified: 2017-09-30 06:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 00:21:33 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (6.02 KB, text/plain)
2017-08-25 14:52 UTC, Remi Collet
no flags Details
review.txt (7.63 KB, text/plain)
2017-08-25 14:52 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-08-21 01:59:06 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/5a9e431c5f7ebcba6b600bfd8fe8b01b28d5a739/php-flow-jsonpath/php-flow-jsonpath.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-flow-jsonpath-0.3.4-1.fc26.src.rpm

Description:
This is a JSONPath implementation for PHP based on Stefan Goessner's
JSONPath script.

JSONPath is an XPath-like expression language for filtering, flattening and
extracting data.

I believe that is improves on the original script (which was last updated in
2007) by doing a few things:
* Object-oriented code (should be easier to manage or extend in future)
* Expressions are parsed into tokens using some code cribbed from Doctrine
  Lexer and cached
* There is no eval() in use
* Performance is pretty much the same
* Any combination of objects/arrays/ArrayAccess-objects can be used as the data
  input which is great if you're de-serializing JSON in to objects or if you
  want to process your own data structures.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-08-25 14:52:24 UTC
Created attachment 1318257 [details]
phpci.log

phpCompatInfo version 5.0.8 DB version 1.23.0 built Jul 17 2017
     20:33:14 CEST static analyze results

Comment 2 Remi Collet 2017-08-25 14:52:50 UTC
Created attachment 1318258 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1483381
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 3 Remi Collet 2017-08-25 14:53:23 UTC
[x]: Package complies to the Packaging Guidelines



=== APPROVED ===

Comment 5 Gwyn Ciesla 2017-08-25 17:12:48 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-flow-jsonpath

Comment 6 Fedora Update System 2017-09-01 03:51:31 UTC
php-flow-jsonpath-0.3.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-08650b0280

Comment 7 Fedora Update System 2017-09-01 11:56:00 UTC
php-flow-jsonpath-0.3.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4f6843fc34

Comment 8 Fedora Update System 2017-09-01 12:54:13 UTC
php-flow-jsonpath-0.3.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b91b76e82

Comment 9 Fedora Update System 2017-09-03 19:52:37 UTC
php-flow-jsonpath-0.3.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7886da2b8b

Comment 10 Fedora Update System 2017-09-12 00:21:33 UTC
php-flow-jsonpath-0.3.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-12 10:52:25 UTC
php-flow-jsonpath-0.3.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-15 21:50:32 UTC
php-flow-jsonpath-0.3.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-30 06:06:33 UTC
php-flow-jsonpath-0.3.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.